Name: imlib2
Version: 1.0.6
Release: alt3

Summary: Powerful image loading and rendering library
License: LGPL
Group: System/Libraries
Packager: Yuri N. Sedunov <aris@altlinux.ru>

Source: http://prdownloads.sourceforge.net/enlightenment/%name-%version.tar.gz
Patch: %name-1.0.5-pld-path.patch
Patch1: %name-1.0.5-pld-as.patch
Patch2: %name-1.0.6-pld-AC_LIBOBJ.patch
Patch3: %name-1.0.6-alt-makefile.patch
Patch4: %name-1.0.6-dynamic_filters.patch

BuildPreReq: freetype-devel >= 0:1.3.1-alt3

# Automatically added by buildreq on Wed Oct 23 2002
BuildRequires: XFree86-devel freetype-devel glibc-devel-static libjpeg-devel libltdl-devel libpng-devel libtiff-devel libungif-devel zlib-devel

%description
Imlib2 is an advanced replacement library for libraries like libXpm
that provides many more features with much greater flexibility and
speed than standard libraries, including font rasterization, rotation,
RGBA space rendering and blending, dynamic binary filters, scripting,
and more.

%package devel
Summary: Imlib2 header files and development documentation
Group: Development/C
Requires: %name = %version-%release

%description devel
Header files and development documentation for Imlib2.

%package devel-static
Summary: Imlib static libraries
Group: Development/C
Requires: %name-devel = %version-%release

%description devel-static
Imlib2 static libraries.

%prep
%setup -q
%patch -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

%build
find -type f -name Makefile.am -print0 |
	xargs -r0 %__subst 's, -I\$(prefix)/include -I\$(includedir) , ,g'

%__rm -f missing
%__libtoolize --copy --force --ltdl

pushd libltdl
%__autoconf
popd

%__aclocal
%__autoheader
%__autoconf
%__automake -a -c

%configure --enable-mmx
%make_build

%install
%make_install DESTDIR=%buildroot install

%post -p %post_ldconfig
%postun -p %postun_ldconfig

%files
%_libdir/lib*.so.*.*
%dir %_libdir/%name/loaders/*/*.so
%dir %_libdir/%name/loaders/*/*.la

%files devel
%_bindir/%name-config
%_libdir/lib*.so
%_libdir/lib*.la
%_includedir/*
%doc doc/{*gif,*.html}

%files devel-static
%_libdir/lib*.a
%_libdir/%name/loaders/*/*.a

%changelog
* Wed Oct 23 2002 Dmitry V. Levin <ldv@altlinux.org> 1.0.6-alt3
- Fixed "-I/usr/include" compilation warnings.
- Rebuilt with "libintl-free" freetype-devel.
- Updated buildrequires.

* Mon Oct 14 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.0.6-alt2
- Rebuild with gcc-3.2
- Loaders .la files go in the main package.

* Fri Apr 26 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.0.6-alt1
- 1.06 

* Tue Apr 16 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.0.5-alt2
- build process fixed (#839).  
_ buildrequires updated.

* Thu Apr 04 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.0.5-alt1
- Adopted for Sisyphus PLD Team imlib2-1.0.5-2 package. 
